var hierarchy =
[
    [ "AbstractChain", null, [
      [ "AccelerometerChain", "classAccelerometerChain.html", null ],
      [ "OrientationChain", "classOrientationChain.html", null ]
    ] ],
    [ "AbstractSensorChannel", null, [
      [ "AccelerometerSensorChannel", "classAccelerometerSensorChannel.html", null ],
      [ "ALSSensorChannel", "classALSSensorChannel.html", null ],
      [ "CompassSensorChannel", "classCompassSensorChannel.html", null ],
      [ "ContextSensorChannel", "classContextSensorChannel.html", null ],
      [ "GyroscopeSensorChannel", "classGyroscopeSensorChannel.html", null ],
      [ "MagnetometerSensorChannel", "classMagnetometerSensorChannel.html", null ],
      [ "OrientationSensorChannel", "classOrientationSensorChannel.html", null ],
      [ "ProximitySensorChannel", "classProximitySensorChannel.html", null ],
      [ "RotationSensorChannel", "classRotationSensorChannel.html", null ],
      [ "TapSensorChannel", "classTapSensorChannel.html", null ]
    ] ],
    [ "AbstractSensorChannelAdaptor", null, [
      [ "AccelerometerSensorChannelAdaptor", "classAccelerometerSensorChannelAdaptor.html", null ],
      [ "ALSSensorChannelAdaptor", "classALSSensorChannelAdaptor.html", null ],
      [ "CompassSensorChannelAdaptor", "classCompassSensorChannelAdaptor.html", null ],
      [ "GyroscopeSensorChannelAdaptor", "classGyroscopeSensorChannelAdaptor.html", null ],
      [ "MagnetometerSensorChannelAdaptor", "classMagnetometerSensorChannelAdaptor.html", null ],
      [ "OrientationSensorChannelAdaptor", "classOrientationSensorChannelAdaptor.html", null ],
      [ "ProximitySensorChannelAdaptor", "classProximitySensorChannelAdaptor.html", null ],
      [ "RotationSensorChannelAdaptor", "classRotationSensorChannelAdaptor.html", null ],
      [ "TapSensorChannelAdaptor", "classTapSensorChannelAdaptor.html", null ]
    ] ],
    [ "Bin", null, [
      [ "CompassBin", "classCompassBin.html", null ],
      [ "OrientationBin", "classOrientationBin.html", null ],
      [ "StabilityBin", "classStabilityBin.html", null ]
    ] ],
    [ "BufferReader< TYPE >", "classBufferReader.html", null ],
    [ "BufferReader< CalibratedMagneticFieldData >", "classBufferReader.html", null ],
    [ "BufferReader< CompassData >", "classBufferReader.html", null ],
    [ "BufferReader< PoseData >", "classBufferReader.html", null ],
    [ "BufferReader< ProximityData >", "classBufferReader.html", null ],
    [ "BufferReader< TapData >", "classBufferReader.html", null ],
    [ "BufferReader< TimedUnsigned >", "classBufferReader.html", null ],
    [ "BufferReader< TimedXyzData >", "classBufferReader.html", null ],
    [ "DataEmitter", null, [
      [ "AccelerometerSensorChannel", "classAccelerometerSensorChannel.html", null ],
      [ "ALSSensorChannel", "classALSSensorChannel.html", null ],
      [ "CompassSensorChannel", "classCompassSensorChannel.html", null ],
      [ "GyroscopeSensorChannel", "classGyroscopeSensorChannel.html", null ],
      [ "MagnetometerSensorChannel", "classMagnetometerSensorChannel.html", null ],
      [ "OrientationSensorChannel", "classOrientationSensorChannel.html", null ],
      [ "ProximitySensorChannel", "classProximitySensorChannel.html", null ],
      [ "RotationSensorChannel", "classRotationSensorChannel.html", null ],
      [ "TapSensorChannel", "classTapSensorChannel.html", null ]
    ] ],
    [ "DataRangeRequest", "classDataRangeRequest.html", null ],
    [ "Filter", null, [
      [ "AvgVarFilter", "classAvgVarFilter.html", null ],
      [ "CoordinateAlignFilter", "classCoordinateAlignFilter.html", null ],
      [ "CutterFilter", "classCutterFilter.html", null ],
      [ "DeclinationFilter", "classDeclinationFilter.html", null ],
      [ "DownsampleFilter", "classDownsampleFilter.html", null ],
      [ "HeadingFilter", "classHeadingFilter.html", null ],
      [ "MagnetometerScaleFilter", "classMagnetometerScaleFilter.html", null ],
      [ "NormalizerFilter", "classNormalizerFilter.html", null ],
      [ "ScreenInterpreterFilter", "classScreenInterpreterFilter.html", null ],
      [ "StabilityFilter", "classStabilityFilter.html", null ]
    ] ],
    [ "FilterBase", null, [
      [ "OrientationInterpreter", "classOrientationInterpreter.html", null ],
      [ "RotationFilter", "classRotationFilter.html", null ]
    ] ],
    [ "InputDevAdaptor", null, [
      [ "AccelerometerAdaptor", "classAccelerometerAdaptor.html", null ],
      [ "KeyboardSliderAdaptor", "classKeyboardSliderAdaptor.html", null ],
      [ "PegatronAccelerometerAdaptor", "classPegatronAccelerometerAdaptor.html", null ],
      [ "ProximityAdaptorEvdev", "classProximityAdaptorEvdev.html", null ],
      [ "TapAdaptor", "classTapAdaptor.html", null ],
      [ "TouchAdaptor", "classTouchAdaptor.html", null ]
    ] ],
    [ "IntervalRequest", "classIntervalRequest.html", null ],
    [ "Parser", "classParser.html", null ],
    [ "Plugin", null, [
      [ "AccelerometerAdaptorPlugin", "classAccelerometerAdaptorPlugin.html", null ],
      [ "AccelerometerChainPlugin", "classAccelerometerChainPlugin.html", null ],
      [ "AccelerometerPlugin", "classAccelerometerPlugin.html", null ],
      [ "ALSAdaptorAsciiPlugin", "classALSAdaptorAsciiPlugin.html", null ],
      [ "ALSAdaptorPlugin", "classALSAdaptorPlugin.html", null ],
      [ "ALSAdaptorSysfsPlugin", "classALSAdaptorSysfsPlugin.html", null ],
      [ "ALSPlugin", "classALSPlugin.html", null ],
      [ "CompassPlugin", "classCompassPlugin.html", null ],
      [ "ContextPlugin", "classContextPlugin.html", null ],
      [ "CoordinateAlignFilterPlugin", "classCoordinateAlignFilterPlugin.html", null ],
      [ "DeclinationFilterPlugin", "classDeclinationFilterPlugin.html", null ],
      [ "DownsampleFilterPlugin", "classDownsampleFilterPlugin.html", null ],
      [ "GyroscopeAdaptorPlugin", "classGyroscopeAdaptorPlugin.html", null ],
      [ "GyroscopePlugin", "classGyroscopePlugin.html", null ],
      [ "KeyboardSliderAdaptorPlugin", "classKeyboardSliderAdaptorPlugin.html", null ],
      [ "MagnetometerAdaptorAsciiPlugin", "classMagnetometerAdaptorAsciiPlugin.html", null ],
      [ "MagnetometerAdaptorPlugin", "classMagnetometerAdaptorPlugin.html", null ],
      [ "MagnetometerAdaptorPluginNCDK", "classMagnetometerAdaptorPluginNCDK.html", null ],
      [ "MagnetometerPlugin", "classMagnetometerPlugin.html", null ],
      [ "MRSTAccelerometerAdaptorPlugin", "classMRSTAccelerometerAdaptorPlugin.html", null ],
      [ "OaktrailAccelerometerAdaptorPlugin", "classOaktrailAccelerometerAdaptorPlugin.html", null ],
      [ "OemtabletAccelerometerAdaptorPlugin", "classOemtabletAccelerometerAdaptorPlugin.html", null ],
      [ "OEMTabletALSAdaptorAsciiPlugin", "classOEMTabletALSAdaptorAsciiPlugin.html", null ],
      [ "OEMTabletGyroscopeAdaptorPlugin", "classOEMTabletGyroscopeAdaptorPlugin.html", null ],
      [ "OrientationChainPlugin", "classOrientationChainPlugin.html", null ],
      [ "OrientationInterpreterPlugin", "classOrientationInterpreterPlugin.html", null ],
      [ "OrientationPlugin", "classOrientationPlugin.html", null ],
      [ "PegatronAccelerometerAdaptorPlugin", "classPegatronAccelerometerAdaptorPlugin.html", null ],
      [ "ProximityAdaptorAsciiPlugin", "classProximityAdaptorAsciiPlugin.html", null ],
      [ "ProximityAdaptorEvdevPlugin", "classProximityAdaptorEvdevPlugin.html", null ],
      [ "ProximityAdaptorPlugin", "classProximityAdaptorPlugin.html", null ],
      [ "ProximityPlugin", "classProximityPlugin.html", null ],
      [ "RotationFilterPlugin", "classRotationFilterPlugin.html", null ],
      [ "RotationPlugin", "classRotationPlugin.html", null ],
      [ "TapAdaptorPlugin", "classTapAdaptorPlugin.html", null ],
      [ "TapPlugin", "classTapPlugin.html", null ],
      [ "TouchAdaptorPlugin", "classTouchAdaptorPlugin.html", null ]
    ] ],
    [ "QDBusAbstractInterface", null, [
      [ "LocalSensorManagerInterface", "classLocalSensorManagerInterface.html", [
        [ "SensorManagerInterface", "classSensorManagerInterface.html", null ]
      ] ]
    ] ],
    [ "QObject", null, [
      [ "AbstractSensorChannelInterface", "classAbstractSensorChannelInterface.html", [
        [ "AccelerometerSensorChannelInterface", "classAccelerometerSensorChannelInterface.html", null ],
        [ "ALSSensorChannelInterface", "classALSSensorChannelInterface.html", null ],
        [ "CompassSensorChannelInterface", "classCompassSensorChannelInterface.html", null ],
        [ "GyroscopeSensorChannelInterface", "classGyroscopeSensorChannelInterface.html", null ],
        [ "MagnetometerSensorChannelInterface", "classMagnetometerSensorChannelInterface.html", null ],
        [ "OrientationSensorChannelInterface", "classOrientationSensorChannelInterface.html", null ],
        [ "ProximitySensorChannelInterface", "classProximitySensorChannelInterface.html", null ],
        [ "RotationSensorChannelInterface", "classRotationSensorChannelInterface.html", null ],
        [ "TapSensorChannelInterface", "classTapSensorChannelInterface.html", null ]
      ] ],
      [ "AvgVarFilter", "classAvgVarFilter.html", null ],
      [ "CalibrationHandler", "classCalibrationHandler.html", null ],
      [ "Compass", "classCompass.html", null ],
      [ "CompassBin", "classCompassBin.html", null ],
      [ "CoordinateAlignFilter", "classCoordinateAlignFilter.html", null ],
      [ "CutterFilter", "classCutterFilter.html", null ],
      [ "DataRange", "classDataRange.html", null ],
      [ "DeclinationFilter", "classDeclinationFilter.html", null ],
      [ "DownsampleFilter", "classDownsampleFilter.html", null ],
      [ "HeadingFilter", "classHeadingFilter.html", null ],
      [ "MagneticField", "classMagneticField.html", null ],
      [ "MagnetometerScaleFilter", "classMagnetometerScaleFilter.html", null ],
      [ "NormalizerFilter", "classNormalizerFilter.html", null ],
      [ "Orientation", "classOrientation.html", null ],
      [ "OrientationBin", "classOrientationBin.html", null ],
      [ "OrientationInterpreter", "classOrientationInterpreter.html", null ],
      [ "RotationFilter", "classRotationFilter.html", null ],
      [ "ScreenInterpreterFilter", "classScreenInterpreterFilter.html", null ],
      [ "SocketReader", "classSocketReader.html", null ],
      [ "StabilityBin", "classStabilityBin.html", null ],
      [ "StabilityFilter", "classStabilityFilter.html", null ],
      [ "Tap", "classTap.html", null ],
      [ "Unsigned", "classUnsigned.html", [
        [ "Proximity", "classProximity.html", null ]
      ] ],
      [ "XYZ", "classXYZ.html", null ]
    ] ],
    [ "SensorInterfaceEntry", "structSensorInterfaceEntry.html", null ],
    [ "SysfsAdaptor", null, [
      [ "ALSAdaptor", "classALSAdaptor.html", null ],
      [ "ALSAdaptorAscii", "classALSAdaptorAscii.html", null ],
      [ "ALSAdaptorSysfs", "classALSAdaptorSysfs.html", null ],
      [ "GyroscopeAdaptor", "classGyroscopeAdaptor.html", null ],
      [ "MagnetometerAdaptor", "classMagnetometerAdaptor.html", null ],
      [ "MagnetometerAdaptorAscii", "classMagnetometerAdaptorAscii.html", null ],
      [ "MagnetometerAdaptorNCDK", "classMagnetometerAdaptorNCDK.html", null ],
      [ "MRSTAccelAdaptor", "classMRSTAccelAdaptor.html", null ],
      [ "OaktrailAccelAdaptor", "classOaktrailAccelAdaptor.html", null ],
      [ "OemtabletAccelAdaptor", "classOemtabletAccelAdaptor.html", null ],
      [ "OEMTabletALSAdaptorAscii", "classOEMTabletALSAdaptorAscii.html", null ],
      [ "OEMTabletGyroscopeAdaptor", "classOEMTabletGyroscopeAdaptor.html", null ],
      [ "ProximityAdaptor", "classProximityAdaptor.html", null ],
      [ "ProximityAdaptorAscii", "classProximityAdaptorAscii.html", null ]
    ] ],
    [ "TimedData", "classTimedData.html", [
      [ "CalibratedMagneticFieldData", "classCalibratedMagneticFieldData.html", null ],
      [ "CompassData", "classCompassData.html", null ],
      [ "PoseData", "classPoseData.html", null ],
      [ "TapData", "classTapData.html", null ],
      [ "TimedUnsigned", "classTimedUnsigned.html", [
        [ "ProximityData", "classProximityData.html", null ]
      ] ],
      [ "TimedXyzData", "classTimedXyzData.html", [
        [ "TouchData", "classTouchData.html", null ]
      ] ]
    ] ],
    [ "TMatrix", "classTMatrix.html", null ],
    [ "Utils", "classUtils.html", null ]
];